> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/june-7th-2024.md).

# June 7th, 2024 - Marketplace Update

Explore the new changes to the Marketplace in the last week!

This can be anything from new crates, enhancements, or bug fixes!

<details>

<summary><strong>New crates and enhancements</strong></summary>

* Alert When Users Mailboxes are Reaching Quota
  * Added an action to the crate that checks for an existing ticket and if one exists it updates that ticket or at least does not create a new ticket.
  * Added ability to exclude mailboxes from alerting with a comma delimited list in the org variable `excluded_quota_monitoring_emails`

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Amend Calendar Permission on User
  * Fixed `check_delegate` action Jinja where `CTX.delegate_type` always returning `false` due to being a list.

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* Rewst: User Offboarding
  * On-prem AD support
* Document M365 Environment
  * Support for Hudu
* Document User Details
  * Support for Hudu
* Document Group Details
  * Support for Hudu
* Document Shared Mailbox Details
  * Support for Hudu
* Liongard MFA Remediation
  * Liongard detects when MFA is not enabled properly, logs it to a PSA ticket, Rewst enables MFA and updates the ticket.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/june-7th-2024.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
